Page MenuHomePhabricator

Test playbook setup on a local VM
Closed, ResolvedPublic5 Story Points

Description

In order to get an understanding of what needs to be done exactly for T214461 and how much of an effort that is, we want to test our setup playbooks on a local test environment.

Acceptance Criteria

  • Change playbooks to use PHP 7.2.
  • Setup the donation application in a local VM based on Ubuntu 18.04.
  • Find out what breaks and document the necessary manual steps to fix that.

Event Timeline

Restricted Application added a project: WMDE-FUN-Team. · View Herald TranscriptFeb 4 2019, 11:15 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
kai.nissen updated the task description. (Show Details)
kai.nissen set the point value for this task to 5.

Maybe someone could review & merge https://github.com/wmde/fundraising-infrastructure/pull/243 as part of this ticket.

gabriel-wmde claimed this task.
gabriel-wmde removed gabriel-wmde as the assignee of this task.Mar 11 2019, 5:15 PM
gabriel-wmde moved this task from Doing to Review on the WMDE-FUN-Sprint-2019-03-04 board.

PR is at https://github.com/wmde/fundraising-infrastructure/pull/254

I've tested the code with PHPUnit with PHP 7.3 in the Docker environment. Since that environment also compiles the kontocheck extension and derives from Ubuntu I'm fairly confident that we won't encounter surprises from the PHP upgrade.

kai.nissen closed this task as Resolved.Apr 15 2019, 11:06 AM